Loading...
Searching...
No Matches
RDKit::MolStandardize::PipelineResult Struct Reference

`#include <Pipeline.h>`

## Public Member Functions

void | append (PipelineStatus newStatus, const std::string &info)

## Public Attributes

PipelineStatus | status
std::uint32_t | stage
PipelineLog | log
std::string | inputMolData
std::string | outputMolData
std::string | parentMolData

## Detailed Description

Definition at line 143 of file Pipeline.h.

## Member Function Documentation

## append()

void RDKit::MolStandardize::PipelineResult::append | ( | PipelineStatus | newStatus,
|  | const std::string & | info )

## Member Data Documentation

## inputMolData

std::string RDKit::MolStandardize::PipelineResult::inputMolData

Definition at line 147 of file Pipeline.h.

## log

PipelineLog RDKit::MolStandardize::PipelineResult::log

Definition at line 146 of file Pipeline.h.

## outputMolData

std::string RDKit::MolStandardize::PipelineResult::outputMolData

Definition at line 148 of file Pipeline.h.

## parentMolData

std::string RDKit::MolStandardize::PipelineResult::parentMolData

Definition at line 149 of file Pipeline.h.

## stage

std::uint32_t RDKit::MolStandardize::PipelineResult::stage

Definition at line 145 of file Pipeline.h.

## status

PipelineStatus RDKit::MolStandardize::PipelineResult::status

Definition at line 144 of file Pipeline.h.

The documentation for this struct was generated from the following file:

- Pipeline.h